Package com.independentsoft.office.odf.styles

# Enum Class AxisLabelPosition

java.lang.Object
java.lang.Enum<AxisLabelPosition>
com.independentsoft.office.odf.styles.AxisLabelPosition

All Implemented Interfaces:
  `Serializable`, `Comparable<AxisLabelPosition>`, `Constable`

public enum AxisLabelPosition extends Enum<AxisLabelPosition>
Represents the position of the axis labels.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NEAR_AXIS`
  The labels are placed adjacent to the axis line.
  `NEAR_AXIS_OTHER_SIDE`
  The labels are placed adjacent to the axis on the opposite side as for near-axis.
  `NONE`
  None.
  `OUTSIDE_END`
  The labels are placed outside the coordinate region on that side where the crossing axis has its maximum value.
  `OUTSIDE_START`
  The labels are placed outside the coordinate region on that side where the crossing axis has its minimum value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AxisLabelPosition`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static AxisLabelPosition[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NEAR_AXIS

    public static final AxisLabelPosition NEAR_AXIS
    The labels are placed adjacent to the axis line.

  - ### NEAR_AXIS_OTHER_SIDE

    public static final AxisLabelPosition NEAR_AXIS_OTHER_SIDE
    The labels are placed adjacent to the axis on the opposite side as for near-axis.

  - ### OUTSIDE_START

    public static final AxisLabelPosition OUTSIDE_START
    The labels are placed outside the coordinate region on that side where the crossing axis has its minimum value.

  - ### OUTSIDE_END

    public static final AxisLabelPosition OUTSIDE_END
    The labels are placed outside the coordinate region on that side where the crossing axis has its maximum value.

  - ### NONE

    public static final AxisLabelPosition NONE
    None.

- ## Method Details

  - ### values

    public static AxisLabelPosition[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AxisLabelPosition valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null